Results 1 to 8 of 8

Thread: DirectAdmin 1.52.0 has been release - Important security fix!

  1. #1

    DirectAdmin 1.52.0 has been release - Important security fix!

    Hello,

    DirectAdmin 1.52.0 has been released.

    Along with the many new changes and features, there is an important security fix, so everyone should update.
    https://forum.directadmin.com/showthread.php?t=55362

    John

  2. #2
    Join Date
    Jul 2011
    Posts
    53
    Flooded with this "/usr/local/directadmin/dataskq: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory" after the DA 1.52.0 update (Debian 7).

    How to fix it??

    Kind regards,
    Jan
    Last edited by jet1972; 10-03-2017 at 03:04 PM.
    End Times - Now! video (turn on English/French subtitles)

  3. #3
    Hello,

    Our Debian 7 64-bit and 32-bit binaries are both static, so you've likely got binaries for some other OS.

    Related:
    https://help.directadmin.com/item.php?id=267

    John

  4. #4
    Join Date
    Jul 2011
    Posts
    53
    Yes, I think I have the wrong OS selected in the Client Area, did some tests with Debian 9.

    The problem is that the new DA Cilent Area Login does not any more allow Firefox to save the password and I have lost it.

    My email seems also be down because of this OS selection issue so I cant reset the password to Client Area....

    Did send my CID and LID thru https://directadmin.com/contacts.php, please change the OS for the LID.

    Kind regards,
    Jan
    Last edited by jet1972; 10-03-2017 at 04:10 PM.
    End Times - Now! video (turn on English/French subtitles)

  5. #5
    Yes, either the contact form or a ticket would work.

    Also, don't quote me on it, but I believe you can override the license OS in the daupdate script, with a specific OS request, eg:
    Code:
    wget -O update.tar.gz 'https://www.directadmin.com/cgi-bin/daupdate?lid=123&uid=456&os=Debian 7 64'
    where the os value can be taken from the OS selector dropdown when ordering a new license (view html source to see the list).

  6. #6
    Join Date
    Jul 2011
    Posts
    53
    Unfortunately that license override function did not work. Used the value from OS selector dropdown

    Please update my LID to Debian 7 64 ASAP and please include the OS override function to daupdate script so that this kind of situations could be solved fast and easily.

    Kind regards,
    Jan
    Last edited by jet1972; 10-03-2017 at 04:57 PM.
    End Times - Now! video (turn on English/French subtitles)

  7. #7
    Join Date
    Jul 2011
    Posts
    53
    Found the password to the Client Area.

    All is working OK now.

    As said in prevous mail please include the OS override function to daupdate script so that this kind of situations could be solved fast and easily.

    Kind regards,
    Jan
    Last edited by jet1972; 10-03-2017 at 05:22 PM.
    End Times - Now! video (turn on English/French subtitles)

  8. #8
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    11,414
    When trying to override OS in a wget query I got:

    HTTP/1.1 200 OKDate: Wed, 04 Oct 2017 18:24:35 GMT
    Server: Apache/2
    x-return-code: unauthorized
    Vary: User-Agent
    Content-Length: 45
    Content-Type: text/html


    * You are not allowed to run this program *
    even if os= defines the same OS version as it's set in a License:


    daupdate?redirect=ok&uid=12345&lid=6789&os=ES 6.0 64
    daupdate?redirect=ok&uid=12345&lid=6789&os=ES%206.0%2064

    So this feature is not enabled for all users?
    With regards, Alex.

    Professional Server Management for web hosting companies and individuals
    Hourly Support, Disaster Recovery, Server Hardening, Monthly Subscription
    Directadmin installation and optimization

    Click here if you need a Linux Admin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •